Debian Bug report logs - #600283
live-build: binary.img not created, incorrect sources.list

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Josselin Mouette <joss@debian.org>

Date: Fri, 15 Oct 2010 14:21:02 UTC

Severity: important

Tags: moreinfo, unreproducible

Found in version live-build/2.0.2-1

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Fri, 15 Oct 2010 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Oct 2010 14:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: submit@bugs.debian.org
Subject: live-build: binary.img not created, incorrect sources.list
Date: Fri, 15 Oct 2010 16:17:24 +0200
Package: live-build
Version: 2.0.2-1
Severity: serious
Justification: images don’t build without network access

I define a mirror for the bootstrap phase. A mirror (the same) for the
chroot phase. A mirror (still the same) for the binary phase. I make a
configuration for a usb-hdd build.

But in the end, live-build fails silently. The script finishes, and I
don’t get any binary.img.

Removing .stage/binary* and retrying gives another error message:

# lb binary
[snip]
P: Begin building root filesystem image...
Reading package lists... Done
Building dependency tree... Done
The following NEW packages will be installed:
  squashfs-tools
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 114 kB of archives.
After this operation, 295 kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  squashfs-tools
E: There are problems and -y was used without --force-yes
P: Begin unmounting filesystems...

In chroot/etc/apt/sources.list, there is only one line:
	deb http://ftp.us.debian.org/debian/ squeeze main
Since ftp.us is not reachable from the machine where it is building
(remember, I set a specific mirror precisely because of that), this
explains the error.

>From here, I tried a bit of voodoo: replaced the sources.list by hand,
run apt-get update in the chroot. No more luck, it still fails silently,
and AFAICT I’m not using a specific filesystem that specifically trashes
files named binary.img. 

Running “lb binary” twice will even overwrite the sources.list again
(seriously? isn’t the contents of the chroot supposed to be fixed after
the chroot phase?)

No more luck with lb binary_usb:

# lb binary_usb
[snip]
P: Mounting /dev/loop1 with offset 0
Warning: The resulting partition is not properly aligned for best performance.
1+0 records in
1+0 records out
440 bytes (440 B) copied, 0.000518781 s, 848 kB/s
P: Mounting /dev/loop1 with offset 512
mkfs.vfat 3.0.9 (31 Jan 2010)
Loop device does not match a floppy size, using default hd params
Can't open /proc/13761/fd/3: No such file or directory
Cannot initialize 'S:'
Bad target s:/ldlinux.sys
syslinux: failed to create ldlinux.sys

So, should I prepare for sacrificing a chicken now?


I’m seriously sick of the whole of live-build being changed in each
version. I used to be able to build working images with earlier versions
of 2.0. We’re supposed to be in a *deep freeze*, and not only did the
configuration format change again, but now it’s not even possible to do
the simplest things anymore.

-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Fri, 15 Oct 2010 15:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 15 Oct 2010 15:15:05 GMT) Full text and rfc822 format available.

Message #10 received at 600283@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 600283@bugs.debian.org
Subject: Re: Bug#600283: live-build: binary.img not created, incorrect sources.list
Date: Fri, 15 Oct 2010 17:10:25 +0200
severity 600283 important
tag 600283 unreproducible
tag 600283 moreinfo
thanks

On 10/15/2010 04:17 PM, Josselin Mouette wrote:
> I define a mirror for the bootstrap phase. A mirror (the same) for the
> chroot phase. A mirror (still the same) for the binary phase. I make a
> configuration for a usb-hdd build.

this should aequivalent to:

  lb config -b usb-hdd \
  --mirror-bootstrap http://mirror/debian.org/debian/ \
  --mirror-chroot http://mirror/debian.org/debian/ \
  --mirror-binary http://mirror/debian.org/debian/ && \
  lb build

which works for me (mirror is my local mirror), so i can't reproduce that.

> But in the end, live-build fails silently. The script finishes, and I
> don’t get any binary.img.

could you provide the full lb config line, as well as the full log of
the build?

> In chroot/etc/apt/sources.list, there is only one line:
> 	deb http://ftp.us.debian.org/debian/ squeeze main
> Since ftp.us is not reachable from the machine where it is building
> (remember, I set a specific mirror precisely because of that), this
> explains the error.

that sounds strange, since we do not default to nor use ftp.us.
anywhere. i suspect this comes from an unclean config or previously
interrupted build. please have a look at the recommendations here:

  http://live.debian.net/manual/en/html/16.html

> seriously? isn’t the contents of the chroot supposed to be fixed after
> the chroot phase?

due to the lack of read-only bind mounts (read-only as in 'no writes at
all, including additions' rather than 'no writes to existing files
only') in linux, we have to copy stuff. in order to not use even more
diskspace, we touch the chroot after creating the filesystem image
again. this is a compromise, and usually not a problem. except when it
fails, which means that you have to rebuild the chroot from scratch.

> So, should I prepare for sacrificing a chicken now?

you 'broke' the chroot (see above), so you need to rebuild the chroot
stage again: 'lb clean && lb build'

> I’m seriously sick of the whole of live-build being changed in each
> version. I used to be able to build working images with earlier versions
> of 2.0.

i don't think the error you're experiencing is caused by any of the
2.0.x updates.

> We’re supposed to be in a *deep freeze*, and not only did the
> configuration format change again, but now it’s not even possible to do
> the simplest things anymore.

2.0.x did not introduce configuration format changes.

what you're refering to is that there was a change in the variables
between a pre-2.0.x version (2.0~a20-1) until it's final layout to 2.0.0-1.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to 'important' from 'serious' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 15 Oct 2010 15:15:06 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 15 Oct 2010 15:15:07 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 15 Oct 2010 15:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Sat, 23 Oct 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 23 Oct 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #21 received at 600283@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 600283-submitter@bugs.debian.org
Cc: 600283@bugs.debian.org
Subject: Re: live-build: binary.img not created, incorrect sources.list
Date: Sat, 23 Oct 2010 10:50:10 +0200
ping.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to Josselin Mouette <joss@debian.org>:
Bug#600283. (Sat, 23 Oct 2010 08:51:09 GMT) Full text and rfc822 format available.

Information stored :
Bug#600283; Package live-build. (Sun, 24 Oct 2010 08:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 24 Oct 2010 08:06:05 GMT) Full text and rfc822 format available.

Message #29 received at 600283-quiet@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 600283-quiet@bugs.debian.org
Subject: Re: Bug#600283: live-build: binary.img not created, incorrect sources.list
Date: Sun, 24 Oct 2010 09:49:22 +0200
Le samedi 23 octobre 2010 à 10:50 +0200, Daniel Baumann a écrit :
> ping.

Sorry for the silence. I’m going to restart my builds from scratch using
the methods that appear in the latest documentation. I’ll give some news
later this week, I hope.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling





Reply sent to daniel@debian.org:
You have taken responsibility. (Mon, 25 Oct 2010 21:12:10 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Mon, 25 Oct 2010 21:12:10 GMT) Full text and rfc822 format available.

Message #34 received at 600283-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 600283-done@bugs.debian.org
Subject: Re: live-build: binary.img not created, incorrect sources.list
Date: Mon, 25 Oct 2010 23:10:28 +0200
bug is not reproducible, submitter didn't respond, closing.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Tue, 26 Oct 2010 11:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 26 Oct 2010 11:06:05 GMT) Full text and rfc822 format available.

Message #39 received at 600283@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 600283@bugs.debian.org
Subject: Re: live-build: binary.img not created, incorrect sources.list
Date: Tue, 26 Oct 2010 13:04:06 +0200
reopen 600283
thanks

10:22:24 < Np237> dba, what part of “I’ll give some news later this
week” was not clear?
11:01:43 < dba> Np237: your mail never have made it to the mailinglist
(problem between bugs.d.o and lists.d.o apparently), so i never saw it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Oct 2010 11:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Tue, 09 Nov 2010 09:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 09 Nov 2010 09:39:05 GMT) Full text and rfc822 format available.

Message #46 received at 600283@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 600283-submitter@bugs.debian.org
Cc: 600283@bugs.debian.org
Subject: Re: live-build: binary.img not created, incorrect sources.list
Date: Tue, 09 Nov 2010 10:37:14 +0100
ping

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to Josselin Mouette <joss@debian.org>:
Bug#600283. (Tue, 09 Nov 2010 09:39:13 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Fri, 12 Nov 2010 18:21:05 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Fri, 12 Nov 2010 18:21:05 GMT) Full text and rfc822 format available.

Message #54 received at 600283-done@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: daniel@debian.org, 600283-done@bugs.debian.org
Subject: Re: Bug#600283: live-build: binary.img not created, incorrect sources.list
Date: Fri, 12 Nov 2010 19:18:36 +0100
I can no longer reproduce this bug when starting from a fresh chroot
with the latest live-build version, so you can consider it fixed.

Still, I reiterate my concerns about configuration files not being
manageable in version control, requiring to maintain scripts in auto/
instead - scripts that are not able to set all available variables
anyway. Live-build is a great tool, but I think it would gain a lot from
a simpler configuration system.

Cheers,
-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Fri, 12 Nov 2010 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 12 Nov 2010 18:27:06 GMT) Full text and rfc822 format available.

Message #59 received at 600283@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 600283@bugs.debian.org
Subject: Re: Bug#600283: live-build: binary.img not created, incorrect sources.list
Date: Fri, 12 Nov 2010 19:23:41 +0100
On 11/12/2010 07:18 PM, Josselin Mouette wrote:
> I can no longer reproduce this bug when starting from a fresh chroot
> with the latest live-build version, so you can consider it fixed.

ok.

> Still, I reiterate my concerns about configuration files not being
> manageable in version control, requiring to maintain scripts in auto/
> instead - scripts that are not able to set all available variables
> anyway.

in fact, they are.

> I think it would gain a lot from a simpler configuration system.

yes, this is of the important things to fix in 3.x after squeeze.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Fri, 12 Nov 2010 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 12 Nov 2010 18:39:03 GMT) Full text and rfc822 format available.

Message #64 received at 600283@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: daniel@debian.org
Cc: 600283@bugs.debian.org
Subject: Re: Bug#600283: live-build: binary.img not created, incorrect sources.list
Date: Fri, 12 Nov 2010 19:34:21 +0100
[Message part 1 (text/plain, inline)]
Le vendredi 12 novembre 2010 à 19:23 +0100, Daniel Baumann a écrit : 
> > Still, I reiterate my concerns about configuration files not being
> > manageable in version control, requiring to maintain scripts in auto/
> > instead - scripts that are not able to set all available variables
> > anyway.
> 
> in fact, they are.

Oh, that’s interesting. How do you set a custom syslinux.cfg for
example? This is the most important thing I am missing.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Fri, 12 Nov 2010 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 12 Nov 2010 19:18:03 GMT) Full text and rfc822 format available.

Message #69 received at 600283@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 600283@bugs.debian.org
Subject: Re: Bug#600283: live-build: binary.img not created, incorrect sources.list
Date: Fri, 12 Nov 2010 20:14:51 +0100
On 11/12/2010 07:34 PM, Josselin Mouette wrote:
>> in fact, they are.
> 
> Oh, that’s interesting. How do you set a custom syslinux.cfg for
> example? This is the most important thing I am missing.

that's was an internal one not supposed to be used and which is already
gone in 3.x anyway.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Fri, 12 Nov 2010 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 12 Nov 2010 19:39:03 GMT) Full text and rfc822 format available.

Message #74 received at 600283@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: daniel@debian.org
Cc: 600283@bugs.debian.org
Subject: Re: Bug#600283: live-build: binary.img not created, incorrect sources.list
Date: Fri, 12 Nov 2010 20:34:27 +0100
[Message part 1 (text/plain, inline)]
Le vendredi 12 novembre 2010 à 20:14 +0100, Daniel Baumann a écrit : 
> On 11/12/2010 07:34 PM, Josselin Mouette wrote:
> >> in fact, they are.
> > 
> > Oh, that’s interesting. How do you set a custom syslinux.cfg for
> > example? This is the most important thing I am missing.
> 
> that's was an internal one not supposed to be used and which is already
> gone in 3.x anyway.

What’s the recommended way to do that now? Is there a hook or an
override that handles that?

Use case: I need to disable the boot prompt entirely and boot the first
entry no matter what.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#600283; Package live-build. (Fri, 12 Nov 2010 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 12 Nov 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #79 received at 600283@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 600283@bugs.debian.org
Subject: Re: Bug#600283: live-build: binary.img not created, incorrect sources.list
Date: Fri, 12 Nov 2010 20:40:47 +0100
On 11/12/2010 08:34 PM, Josselin Mouette wrote:
> What’s the recommended way to do that now? Is there a hook or an
> override that handles that?

in 3.x (from git, not the one from experimental), if you deviate from
the default syslinux theme for non-trivial things (trivial things
include timeout, but not really more than that) should supply either
their complete syslinux configs in config/templates/syslinux, or, supply
a syslinux-theme-foo package. not that this is not ready yet, which is
why it's in git and not in experimental.

> Use case: I need to disable the boot prompt entirely and boot the first
> entry no matter what.

i'd probably go for a simple three line syslinux.cfg in
config/templates/syslinux (lb will currently fail as it still expects
too many files to be present in there, but i'm weeding those out).

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Dec 2010 07:34:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:38:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.